<?php
/*
|--------------------------------------------------------------------------
| auth.php 用于做权限验证
|--------------------------------------------------------------------------
*/
namespace Wechat_service\Src;

use Dever;
use Token\Lib\Wechat;

class Auth
{
	/**
	 * wechat
	 *
	 * @var Wechat
	 */
	private $wechat;
	
	/**
	 * result
	 *
	 * @var array
	 */
	private $result;
	
	/**
	 * output
	 *
	 * @var string
	 */
	private $output;
	
	/**
     * 构造函数　初始化
     * 
     * @return mixed
     */
	public function __construct()
	{
		$this->wechat = new Wechat(false, 'wechat_service');
	}

	/**
     * 获取签名数据，主要用于jssdk
     * 
     * @return mixed
     */
	public function sign()
	{
		$url = Dever::input('url');
		return $this->wechat->sign($url);
	}

	/**
     * 获取ticket
     * 
     * @return mixed
     */
	public function ticket()
	{
		return $this->wechat->ticket(false, false, 2000, true);
	}

	/**
     * 获取token 一般为系统token
     * 
     * @return mixed
     */
	public function token()
	{
		return $this->wechat->token(false, false, 2000, true);
	}
}